Subject: Re: bug#66058: [Emacs Android] <text-conversion> is undefined

From: Po Lu <[email-masked]>
Date: Mon, 18 Sep 2023 08:42:31 +0800

Pierre Ayoub <[email-masked]> writes:

> Hi maintainers.
>
> I'm using the latest Android port of Emacs downloaded from F-Droid. When
> typing a keybinding with a regular character without precedence of a
> special key, I got the `<text-conversion> is undefined` error. I tried
> several keyboards (AOSP Keyboard, GBoard, Hacker Keyboard, BehHe
> Keyboard, Unexpected Keyboard) but always got the same bug. For example:
>
> C-x C-f is perfectly working since there is two regular characters each
> one preceded by a special key. C-h k is not working since I get the
> following error because of the k which is not preceded by a special key
> like C or M: `C-h <text-conversion> is undefined`.
>
> - Phone: Google Pixel 6a
> - Android: 13
> - Distribution: LineageOS 20-20230903
> - Emacs: v30.0.50 (build 1, aarch64-unknown-linux-android22) of
>   2023-09-16.
>
> I don't know how to deal with it. Let me know if I can help.
>
> Cheers,
> Pierre

The release of Emacs on F-Droid is compiled from a snapshot of the
Android port from mid-February.  It is severely out of date.

Your problem was fixed shortly thereafter, and routinely updated
pre-builts can be retrieved from:

  https://sourceforge.net/projects/android-ports-for-gnu-emacs/

Closing.